Package org.eclipse.birt.report.engine.extension

# Interface IReportItemPreparation

public interface IReportItemPreparation
IReportItemPreparation is initially designed for extended item, which handles its nested items. So it shouldn't prepare itself again, otherwise an infinite loop occurs.

## Method Summary

Modifier and Type
Method
Description
`void`
`init(IReportItemPreparationInfo info)`
`void`
`prepare()`

## Method Details

### init

void init(IReportItemPreparationInfo info)

### prepare

void prepare() throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`